<?php
/* Set e-mail recipient */
$myemail  = "inger.eik@gmail.com";

/* Check all form inputs using check_input function */
$name = check_input($_POST['name'], "Enter your name");
$phone = check_input($_POST['phone']);
$email    = check_input($_POST['email'], "Enter your e-mail address");
$website  = check_input($_POST['website']);
$subject  = check_input($_POST['subject'], "Write a subject");
$weather   = check_input($_POST['weather']);
$how = check_input($_POST['how']);
$comments = check_input($_POST['comments']);
$regex = check_input($_POST['regex']);

/* If e-mail is not valid show error message */
if (!preg_match("/([\w\-]+\@[\w\-]+\.[\w\-]+)/", $email))
{
    show_error("E-mail address not valid");
}

/* If URL is not valid set $website to empty */
if (!preg_match("/^(https?:\/\/+[\w\-]+\.[\w\-]+)/i", $website))
{
    $website = '';
}

if($regex != "seven" && $regex != "Seven" )
{

show_error("You're not Human");

}


/* Let's prepare the message for the e-mail */
$message = "Hello!

Your contact form has been submitted by:

Name: $name
Phone: $phone
E-mail: $email
URL: $website

How's the weather? $weather
How did you find CC? $how

Comments:
$comments

End of message
";

/* Send the message using mail() function */
mail($myemail, $subject, $message);

/* Redirect visitor to the thank you page */
header('Location: thanks.html');
exit();

/* Functions we used */
function check_input($data, $problem='')
{
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    if ($problem && strlen($data) == 0)
    {
        show_error($problem);
    }
    return $data;
}

function show_error($myError)
{
?>
    <html>
    <body>

    <b>Please correct the following error:</b><br />
    <?php echo $myError; ?>

    </body>
    </html>
<?php
exit();
}
?>
